summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2018-02-16 15:43:40 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-17 07:42:47 +0700
commitb73e37b1c4de98c20e966a3198877afc0364e4b7 (patch)
tree2f51d31dd7770ddabc2f8b13f9f63f4f30dd116c
parentedaa3c7f18544a15c8fb64403099096fb2bfe03a (diff)
downloadslackbuilds-b73e37b1c4de98c20e966a3198877afc0364e4b7.tar.gz
slackbuilds-b73e37b1c4de98c20e966a3198877afc0364e4b7.tar.xz
system/ioninja: Added (terminal emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ioninja/README5
-rw-r--r--system/ioninja/doinst.sh13
-rw-r--r--system/ioninja/ioninja.SlackBuild67
-rw-r--r--system/ioninja/ioninja.info10
-rw-r--r--system/ioninja/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/system/ioninja/README b/system/ioninja/README
new file mode 100644
index 0000000000..b37cafa6f1
--- /dev/null
+++ b/system/ioninja/README
@@ -0,0 +1,5 @@
+IO Ninja is a professional, scriptable, multi-purpose terminal
+emulator, network sniffer and IO monitor.
+
+It is aimed at network security experts, system administrators,
+and all kinds of software/hardware/embedded developers.
diff --git a/system/ioninja/doinst.sh b/system/ioninja/doinst.sh
new file mode 100644
index 0000000000..9b51b160f6
--- /dev/null
+++ b/system/ioninja/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
diff --git a/system/ioninja/ioninja.SlackBuild b/system/ioninja/ioninja.SlackBuild
new file mode 100644
index 0000000000..e2b979971f
--- /dev/null
+++ b/system/ioninja/ioninja.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for ioninja
+
+# Copyright 2018 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ioninja
+VERSION=${VERSION:-3.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$( uname -m )" in
+ i?86) ARCH=i586 ; BASENAME=${BASENAME:-ioninja-3.8.4-linux-x86} ;;
+ x86_64) ARCH=x86_64 ; BASENAME=${BASENAME:-ioninja-3.8.4-linux-amd64} ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+set -e
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/$BASENAME.deb data.tar.xz | tar xvJ
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+#cp -a $PKG/usr/share/ioninja/* $PKG/usr/doc/$PRGNAM-$VERSION
+#rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ioninja/ioninja.info b/system/ioninja/ioninja.info
new file mode 100644
index 0000000000..6584708b68
--- /dev/null
+++ b/system/ioninja/ioninja.info
@@ -0,0 +1,10 @@
+PRGNAM="ioninja"
+VERSION="3.8.4"
+HOMEPAGE="http://ioninja.com"
+DOWNLOAD="http://tibbo.com/downloads/archive/ioninja/ioninja-3.8.4/ioninja-3.8.4-linux-x86.deb"
+MD5SUM="facda410457d0d72834b94458c54ee00"
+DOWNLOAD_x86_64="http://tibbo.com/downloads/archive/ioninja/ioninja-3.8.4/ioninja-3.8.4-linux-amd64.deb"
+MD5SUM_x86_64="3adbf7f69134e85aaefaa78d5e6df77b"
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/system/ioninja/slack-desc b/system/ioninja/slack-desc
new file mode 100644
index 0000000000..2a0cb9ddb4
--- /dev/null
+++ b/system/ioninja/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ioninja: ioninja (terminal emulator)
+ioninja:
+ioninja:
+ioninja: IO Ninja is a professional, scriptable, multi-purpose terminal
+ioninja: emulator, network sniffer and IO monitor.
+ioninja:
+ioninja: It is aimed at network security experts, system administrators, and
+ioninja: all kinds of software/hardware/embedded developers.
+ioninja:
+ioninja:
+ioninja: